# PostgreSQL

> PostgreSQL est un système de gestion de base de données relationnelle et objet
>
> <cite>[Wikipédia][wikipedia]</cite>

## Configuration

Les variables contenu dans `.env` permettent de changer :

- `POSTGRES_IMAGE` : la version
- `POSTGRES_USER` : le nom d'utilisateur
- `POSTGRES_PASSWORD` : le mot de passe
- `POSTGRES_DB` : le nom de la base de données
- `POSTGRES_CONTAINER_NAME` : le nom du conteneur
- `POSTGRES_VOLUME_NAME` : le nom du volume

## Commandes

```sh
$ ./run
./run backup    : Lancer la sauvegarde d'une base de données
./run restore   : Restore une sauvegarde
```

## Liens

- [Site Officiel][site]
- [Code source][source]
- [Docker Hub][dockerhub]

[wikipedia]: https://fr.wikipedia.org/wiki/PostgreSQL
[site]: https://www.postgresql.org/
[source]: https://git.postgresql.org/gitweb/?p=postgresql.git
[dockerhub]: https://hub.docker.com/_/postgres
