# Traefik

> Traefik est un reverse-proxy pour vos conteneurs
>
> <cite>[alterway][alterway]</cite>

## Configuration

Les variables contenu dans `.env` permettent de changer :

- `TRAEFIK_VOLUME_NAME` : le nom du volume
- `TRAEFIK_NETWORK_NAME` :le nom du réseau
- `TRAEFIK_CONTAINER_NAME` : le nom du conteneur
- `TRAEFIK_IMAGE` : la version
- `TRAEFIK_DOMAIN` : le nom de domaine

## TODO

- Mise en place d'un script pour sauvegarder les certificats et la configuration (mais vu que tout peut être généré directement avec docker-compose ça ne sera pas une priorité)
- Mise en place d'un script pour restaurer une sauvegarde
- Mettre en place les _metrics_
- Mettre en place une rotation des logs
- Mettre en place l'_accesslog_

## Liens

- [Site Officiel][site]
- [Code source][source]
- [Docker Hub][dockerhub]

[alterway]: https://blog.alterway.fr/traefik-un-reverse-proxy-pour-vos-conteneurs.html
[site]: https://traefik.io
[source]: https://github.com/containous/traefik
[dockerhub]: https://hub.docker.com/_/traefik
