#!/bin/bash

set -eu

script_start() {
  START=`date +%s`
}

script_end() {
  END=`date +%s`
  echo
  echo "✨ Done in $((END-START))s"
}

script_env() {
  ENV_FILE_DEFAULT=.env
  ENV_FILE=${ENV_FILE:-$ENV_FILE_DEFAULT}
  source $ENV_FILE
}

backup_folder_create() {
  mkdir -p backups
}
